SystemOrganization addCategory: #'DripfeedIt-Tests-Domain'!

TestCase subclass: #DFIEatWellTest
	instanceVariableNames: 'd m u'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Tests-Domain'!

!DFIEatWellTest methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 00:14'!
setUp

	super setUp.
	u := DFIUsers default select: [ :each | each userid == 'pbk' ].
	d := DFIDay create: (Date year: 2013 month: 6 day: 1).
	m := d addMeal: (DFIMeal hour: 13 minutes: 30).
	m composedOf: 100 gramsOf: (DFIFood named: 'brocoli').
	m composedOf: 200 gramsOf: (DFIFood named:'fish').
	m composedOf: 500 gramsOf: (DFIFood named:'potato').
! !

!DFIEatWellTest methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/1/2013 23:03'!
tearDown
	super tearDown.
! !

!DFIEatWellTest methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 00:20'!
testComposingMealOfDay
	self assert: (m weight = 800).
	self assert: (m contains: 'brocoli').
	! !

!DFIEatWellTest methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 00:20'!
testNutrientsOfMeal
	d meals first nutrients
	 
	! !
